## org.eclipse.emf.codegen.merge.java.facade.jdom
Class JDOMJImport

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
              org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJImport

All Implemented Interfaces:
  JImport, JNode

    public class JDOMJImport

extends JDOMJNode
implements JImport

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`JDOMJImport(org.eclipse.jdt.core.jdom.IDOMImport imp)`

Method Summary
`int` `getFlags()` Returns the modifier flags for this node.
`protected org.eclipse.jdt.core.jdom.IDOMImport` `getWrappedObject()`
`boolean` `isOnDemand()` Returns whether this import declaration ends with `".`
`void` `setFlags(int flags)` Sets the flags for this member.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
`dispose, getChildren, getContents, getFacadeHelper, getName, getParent, isDisposed, setFacadeHelper, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getName, getParent, getQualifiedName, setName`

Constructor Detail

### JDOMJImport

    public JDOMJImport(org.eclipse.jdt.core.jdom.IDOMImport imp)

Method Detail

### getWrappedObject

    protected org.eclipse.jdt.core.jdom.IDOMImport getWrappedObject()

  Overrides:
    `getWrappedObject` in class `JDOMJNode`

### isOnDemand

    public boolean isOnDemand()

  Description copied from interface: `JImport`
  Returns whether this import declaration ends with `".*"`.

  Specified by:
    `isOnDemand` in interface `JImport`
  Returns:
    `true` if this in an on-demand import

### getFlags

    public int getFlags()

  Description copied from interface: `JNode`
  Returns the modifier flags for this node. The flags can be examined using class `FacadeFlags`.

  Specified by:
    `getFlags` in interface `JNode`
  Overrides:
    `getFlags` in class `JDOMJNode`

### setFlags

    public void setFlags(int flags)

  Description copied from interface: `JNode`
  Sets the flags for this member. The flags can be examined using the `FacadeFlags` class.

  Specified by:
    `setFlags` in interface `JNode`
  Overrides:
    `setFlags` in class `JDOMJNode`
  Parameters:
    `flags` - the flags

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.